Subject: Re: [PATCH v2 4/5] powerpc: kvm: drop 32-bit book3s

From: J. Neuschäfer <[email-masked]>
Date: Sun, 2 Feb 2025 22:33:36 +0100

On Sat, Dec 21, 2024 at 08:13:12PM -0600, A. Wilcox wrote:
> On Dec 21, 2024, at 3:42 PM, Arnd Bergmann <[email-masked]> wrote:
> >
> > From: Arnd Bergmann <[email-masked]>
> >
> > Support for KVM on 32-bit Book III-s implementations was added in 2010
> > and supports PowerMac, CHRP, and embedded platforms using the Freescale G4
> > (mpc74xx), e300 (mpc83xx) and e600 (mpc86xx) CPUs from 2003 to 2009.
> >
> > Earlier 603/604/750 machines might work but would be even more limited
> > by their available memory.
> >
> > The only likely users of KVM on any of these were the final Apple
> > PowerMac/PowerBook/iBook G4 models with 2GB of RAM that were at the high
> > end 20 years ago but are just as obsolete as their x86-32 counterparts.
> > The code has been orphaned since 2023.
> >
> > There is still a need to support 32-bit guests in order to better
> > debug problems on ppc32 kernels. This should work in theory on both
> > 64-bit booke and on 64-bit book3s hosts, but it would be good to
> > confirm that this is still the case before the known working option
> > gets removed.
[...]
> That said, I would like to keep the support alive for more than just
> ppc32 kernel testing.  There are plenty of Power Macs with enough
> memory to run some environments within KVM.  Adélie’s new release
> boots a full XFCE desktop in under 300 MB RAM, so even a 1 GB machine
> has enough memory to run AmigaOS, Mac OS 9, or another XFCE in KVM.

FWIW, I second this. I do intend to get KVM to run on my e300-based
board for some relatively light guests such as Mac OS 9. I suspect I
won't be able to contribute much to the maintenance, though.

Best regards,
J. Neuschäfer